Loading...
Searching...
No Matches
pcl::Normal Struct Reference
Module common

A point structure representing normal coordinates and the surface curvature estimate. More...

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::Normal:

## Public Member Functions

constexpr | Normal (const _Normal &p)
constexpr | Normal (float _curvature=0.f)
constexpr | Normal (float n_x, float n_y, float n_z, float _curvature=0.f)

## Friends

std::ostream & | operator<< (std::ostream &os, const Normal &p)

## Additional Inherited Members

Public Attributes inherited from pcl::_Normal
union { |
struct { |
float curvature |
} |
float data_c [4] |
}; |

## Detailed Description

A point structure representing normal coordinates and the surface curvature estimate.

(SSE friendly)

Definition at line 793 of file point_types.hpp.

## Constructor & Destructor Documentation

## Normal() [1/3]

pcl::Normal::Normal | ( | const _Normal & | p | ) |

inline constexpr

Definition at line 795 of file point_types.hpp.

References pcl::_Normal::curvature, and Normal().

Referenced by Normal(), Normal(), and operator<<.

## Normal() [2/3]

pcl::Normal::Normal | ( | float | _curvature = 0.f | ) |

inline constexpr

Definition at line 797 of file point_types.hpp.

References Normal().

## Normal() [3/3]

pcl::Normal::Normal | ( | float | n_x,
|  | float | n_y,
|  | float | n_z,
|  | float | _curvature = 0.f )

inline constexpr

Definition at line 799 of file point_types.hpp.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | os,
|  | const Normal & | p )

friend

References Normal(), and PCL_MAKE_ALIGNED_OPERATOR_NEW.

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp